org.jgroups.blocks

## Interface ReplicatedMap<K extends java.io.Serializable,V extends java.io.Serializable>

All Superinterfaces:
  java.util.concurrent.ConcurrentMap<K,V>, java.util.Map<K,V>

All Known Implementing Classes:
  ReplicatedHashMap

    public interface ReplicatedMap<K extends java.io.Serializable,V extends java.io.Serializable>
    extends java.util.concurrent.ConcurrentMap<K,V>

Author:
  Bela Ban

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Method Summary

Methods
`void` `_clear()`
`V` `_put(K key, V value)`
`void` `_putAll(java.util.Map<? extends K,? extends V> map)`
`V` `_putIfAbsent(K key, V value)`
`V` `_remove(java.lang.Object key)`
`boolean` `_remove(java.lang.Object key, java.lang.Object value)`
`V` `_replace(K key, V value)`
`boolean` `_replace(K key, V oldValue, V newValue)`

### Methods inherited from interface java.util.concurrent.ConcurrentMap

`putIfAbsent, remove, replace, replace`

### Methods inherited from interface java.util.Map

`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

### Method Detail

#### _put

    V _put(K key,
         V value)

#### _putAll

    void _putAll(java.util.Map<? extends K,? extends V> map)

#### _clear

    void _clear()

#### _remove

    V _remove(java.lang.Object key)

#### _putIfAbsent

    V _putIfAbsent(K key,
                 V value)

#### _remove

    boolean _remove(java.lang.Object key,
                  java.lang.Object value)

#### _replace

    boolean _replace(K key,
                   V oldValue,
                   V newValue)

#### _replace

    V _replace(K key,
             V value)